import Layout from '@/layout'

const statisticsChartsRoutes = {
  path: '/statisticsCharts',
  component: Layout,
  children: [
    {
      path: '/statisticsCharts',
      name: 'StatisticsCharts',
      redirect: 'flight',
      component: () => import('@/views/statisticsCharts'),
      meta: {
        title: '统计图表',
        imgstyle: 'ic_list_nav_arrive_default.png',
        imgstyleup: 'ic_list_nav_arrive_check.png'
      },
      children: [
        {
          path: 'flight',
          name: 'FlightStatisticsCharts',
          hidden: true,
          component: () => import('@/views/statisticsCharts/views/flightStatisticsCharts'),
          meta: { title: '航班量统计' }
        },
        {
          path: '/statisticsCharts/node',
          name: 'NodeStatisticsCharts',
          hidden: true,
          component: () => import('@/views/statisticsCharts/views/nodeStatisticsCharts'),
          meta: { title: '扫描节点与位置分析' }
        },
        {
          path: '/statisticsCharts/baggage',
          name: 'BaggageStatisticsCharts',
          hidden: true,
          component: () => import('@/views/statisticsCharts/views/baggageStatisticsCharts'),
          meta: { title: '行李统计' }
        }
      ]
    }
  ]
}

export default [statisticsChartsRoutes]
